AP bills aging by vendor
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/bills/reports/aging \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/bills/reports/aging"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/bills/reports/aging', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"as_of_date": "2023-12-25",
"vendors": [
{
"vendor_id": 123,
"vendor_name": "<string>",
"current": 123,
"bucket_1_30": 123,
"bucket_31_60": 123,
"bucket_61_90": 123,
"bucket_90_plus": 123,
"total": 123,
"bills": [
{}
]
}
],
"totals": {
"current": 123,
"bucket_1_30": 123,
"bucket_31_60": 123,
"bucket_61_90": 123,
"bucket_90_plus": 123,
"total": 123
}
}{
"message": "<string>"
}Bills Aging
AP bills aging by vendor
Accounts payable bills aging report grouped by vendor with per-bill breakdown and bucket totals.
GET
/
bills
/
reports
/
aging
AP bills aging by vendor
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Query Parameters
Reference date for overdue calculation. Defaults to today.
Filter to a specific vendor
⌘I